Package oracle.sql

## Class NCLOB

- java.lang.Object
- - oracle.sql.Datum
  - - oracle.sql.DatumWithConnection
    - - oracle.sql.CLOB
      - - oracle.sql.NCLOB

All Implemented Interfaces:
  `java.io.Serializable`, `java.sql.Clob`, `java.sql.NClob`, `oracle.jdbc.internal.ACProxyable`, `oracle.jdbc.internal.OracleClob`, `oracle.jdbc.internal.OracleConcreteProxy`, `oracle.jdbc.internal.OracleDatumWithConnection`, `oracle.jdbc.internal.OracleLargeObject<char[]>`, `oracle.jdbc.internal.OracleNClob`, `OracleClob`, `OracleNClob`

    public class NCLOB
    extends CLOB
    implements oracle.jdbc.internal.OracleNClob

Deprecated.
Use java.sql.NClob interface for declaration instead of using concrete class oracle.sql.NCLOB.
Use `NClob` interface for declaration instead of using concrete class oracle.sql.NCLOB. java.sql.NClob has methods declared for all opertions. For Oracle specific methods use the interface `OracleNClob`.

Obtaining NClob from the ResultSet

`java.sql.NClob nclob = resultSet.getNClob(...);`

Creating temporary NClob using factory method, `Connection.createNClob()`

`java.sql.NClob nclob = connection.createNClob();`

See Also:
  `NClob`, `OracleNClob`, `Connection.createNClob()`, Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from interface oracle.jdbc.internal.OracleLargeObject

`oracle.jdbc.internal.OracleLargeObject.ArrayPrefetchData<T extends java.lang.Object>, oracle.jdbc.internal.OracleLargeObject.PrefetchData<T extends java.lang.Object>`

### Field Summary

### Fields inherited from class oracle.sql.CLOB

`DURATION_CALL, DURATION_INVALID, DURATION_SESSION, MAX_CHUNK_SIZE, MODE_READONLY, MODE_READWRITE, OLD_WRONG_DURATION_CALL, OLD_WRONG_DURATION_SESSION, target`

### Fields inherited from class oracle.sql.DatumWithConnection

`targetDatumWithConnection`

### Fields inherited from class oracle.sql.Datum

`ojiOracleDatumWithConnection, targetDatum`

### Constructor Summary

Constructors
`protected` `NCLOB()` Deprecated.

### Method Summary

### Methods inherited from class oracle.sql.CLOB

`canReadBasicLobDataInLocator, closeLob, createTemporary, createTemporary, empty_lob, free, freeAsyncOracle, freeLOB, freeTemporary, freeTemporary, getAsciiOutputStream, getAsciiOutputStream, getAsciiStream, getAsciiStream, getAsciiStream, getBufferSize, getCharacterOutputStream, getCharacterOutputStream, getCharacterStream, getCharacterStream, getCharacterStream, getChars, getChunkSize, getDuration, getDuration, getEmptyCLOB, getFormOfUseFromLocator, getJavaSqlConnection, getPrefetchData, getPrefetchedDataSize, getSubString, getTarget, isConvertibleTo, isEmptyLob, isFree, isNCLOB, isOpenLob, isSecureFile, isTemporary, isTemporary, length, open, openLob, position, position, publisherOracle, putChars, putChars, putChars, putString, setAsciiStream, setBytes, setCharacterStream, setPrefetchData, setString, setString, stringValue, subscriberOracle, subscriberOracle, toJdbc, toSQLXML, toSQLXML, trim, truncate`

### Methods inherited from class oracle.sql.DatumWithConnection

`assertNotNull, assertNotNull, getConnection, getConnectionDuringExceptionHandling, getOracleConnection`

### Methods inherited from class oracle.sql.Datum

`bigDecimalValue, booleanValue, bytesEqual, bytesHashCode, byteValue, compareBytes, dateValue, doubleValue, equals, floatValue, getBytes, getLength, getStream, intValue, isNull, longValue, setShareBytes, shareBytes, stringValue, timestampValue, timestampValue, timeValue, timeValue, toClass`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface oracle.jdbc.internal.ACProxyable

`getACProxy, setACProxy`

### Methods inherited from interface java.sql.Clob

`free, getAsciiStream, getCharacterStream, getCharacterStream, getSubString, length, position, position, setAsciiStream, setCharacterStream, setString, setString, truncate`

### Methods inherited from interface oracle.jdbc.internal.OracleClob

`asciiStreamValue, binaryStreamValue, canReadBasicLobDataInLocator, characterStreamValue, clearCachedData, getAsciiOutputStream, getAsciiOutputStream, getAsciiStream, getBufferSize, getCharacterOutputStream, getCharacterOutputStream, getCharacterStream, getChars, getChunkSize, getDBAccess, getJavaSqlConnection, getLocator, isActivePrefetch, isConvertibleTo, isNCLOB, lengthInternal, lengthInternalAsync, makeJdbcArray, publisherOracle, putChars, putChars, putString, setActivePrefetch, setChunkSize, setLength, setLocator, stringValue, subscriberOracle, subscriberOracle, toJdbc, trim`

### Methods inherited from interface oracle.jdbc.OracleClob

`close, closeLob, freeAsyncOracle, isEmptyLob, isOpen, isOpenLob, isSecureFile, isTemporary, open, openLob, publisherOracle, subscriberOracle, subscriberOracle, toSQLXML, toSQLXML`

### Methods inherited from interface oracle.jdbc.internal.OracleDatumWithConnection

`bigDecimalValue, booleanValue, byteValue, dateValue, doubleValue, floatValue, getBytes, getConnection, getInternalConnection, getLength, getOracleConnection, getStream, intValue, longValue, setBytes, setPhysicalConnectionOf, setShareBytes, shareBytes, stringValue, timestampValue, timestampValue, timeValue, timeValue`

### Methods inherited from interface oracle.jdbc.internal.OracleLargeObject

`freeLOB, freeTemporary, getDuration, getPrefetchData, isFree, isTemporary, setPrefetchData`

### Constructor Detail

#### NCLOB

    protected NCLOB()
             throws java.sql.SQLException

Deprecated.

Throws:
  `java.sql.SQLException`